From f89c695dbc395d9a25c05d8dd10de73ed5caa04c Mon Sep 17 00:00:00 2001
From: SVN-Git Migration <python-modules-team@lists.alioth.debian.org>
Date: Thu, 8 Oct 2015 13:54:39 -0700
Subject: no-string-exceptions

Encapsulate string exceptions into some regular exception instance.

Patch-Name: no-string-exceptions
---
 ark2soya.py                | 2 +-
 pudding/ext/svgelements.py | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/ark2soya.py b/ark2soya.py
index 26d7ec9..041f6b6 100644
--- a/ark2soya.py
+++ b/ark2soya.py
@@ -75,7 +75,7 @@ def parse_ark(ark):
 		for mesh in submodel["Meshes"]:
 			if   mesh["Type"] == "Triangles": nbv = 3
 			elif mesh["Type"] == "Quad"     : nbv = 4
-			else: raise "UnknownVertexNumber"
+			else: raise ValueError("UnknownVertexNumber")
 			
 			material = soya.Material.get(mesh["Material"])
 			
diff --git a/pudding/ext/svgelements.py b/pudding/ext/svgelements.py
index 63fcd03..da95850 100644
--- a/pudding/ext/svgelements.py
+++ b/pudding/ext/svgelements.py
@@ -25,7 +25,7 @@ try:
 	except ImportError:
 		from xml.etree import ElementTree
 except ImportError:
-	raise "You need elementtree from http://effbot.org/zone/element-index.htm"
+	raise ImportError("You need elementtree from http://effbot.org/zone/element-index.htm")
 
 try:
 	import cairo
@@ -94,7 +94,7 @@ def find_svg(fn):
 		if os.path.isfile(test_file):
 			return test_file
 	
-	raise "cannot find %s" % fn
+	raise OSError("cannot find %s" % fn)
 
 def find_img(fn):
 	""" locate an image file in the soya path """
